---
kind: pipeline
name: deploy to docker container
steps:
  - name: remove .git
    image: debian:buster
    commands:
      - rm -r .git/
  # - name: php syntax check
  #   image: php:8.0.10-cli
  #   commands:
  #     - for f in $(find /drone -name '*.php'); do php -l "$f"; done
  # - name: compile SCSS
  #   image: 3wordchant/node-sass
  #   commands:
  #     - sass assets/scss/main.scss assets/css/main.css
  #   depends_on:
  #     - php syntax check
  - name: docker cp deploy
    image: 3wordchant/docker-cp-deploy:latest
    settings:
      host: smol-wp.autonomic.zone
      service: 32m_smol-wp_autonomic_zone_app
      source: .
      dest: /var/www/html/wp-content/themes/etcskel-32m
      deploy_key:
        from_secret: drone_ssh_smol-wp.autonomic.zone
    depends_on:
      - remove .git
  - name: notify on failure
    image: plugins/slack
    settings:
      username: comradebritney
      channel: clients.32m
      template: "{{repo.owner}}/{{repo.name}} build failed: {{build.link}}. Last commit by @{{build.author}}"
      webhook:
        from_secret: rc_builds_url
    depends_on:
      - docker cp deploy
    when:
      status:
        - failure

trigger:
  branch:
    - main
